Source: syncevolution
Section: utils
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 12),
 intltool,
 libaccounts-glib-dev,
 libboost-dev,
 libcppunit-dev,
 libcurl4-gnutls-dev,
 libdbus-glib-1-dev,
 libebook1.2-dev,
 libecal2.0-dev,
 libedataserver1.2-dev,
 libgladeui-dev,
 libglib2.0-dev,
 libgtk-3-dev,
 libical-dev,
 libjson-c-dev,
 libneon27-gnutls-dev,
 libnotify-dev,
 libopenobex2-dev [linux-any],
 libsecret-1-dev,
 libsignon-glib-dev,
 libsynthesis-dev,
 python3-docutils,
 python3-pygments,
 xsltproc,
Standards-Version: 4.6.0
Homepage: https://www.syncevolution.org/
Vcs-Git: https://salsa.debian.org/debian/syncevolution.git
Vcs-Browser: https://salsa.debian.org/debian/syncevolution
Rules-Requires-Root: no

Package: syncevolution
Architecture: any
Depends:
 syncevolution-common (= ${source:Version}),
 syncevolution-libs (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 bluez,
Description: Sync personal information data via SyncML/CalDAV/CardDAV (CLI)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides the CLI client.

Package: sync-ui
Architecture: any
Depends:
 syncevolution-common (= ${source:Version}),
 syncevolution-dbus,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 bluez,
Description: Sync personal information data via SyncML/CalDAV/CardDAV (GTK+ GUI)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides a GTK+ graphical user interface.

Package: syncevolution-common
Architecture: all
Depends:
 ${lib:Depends},
 ${misc:Depends},
Recommends:
 adns-tools | host | dnsutils,
Description: Sync personal information data via SyncML/CalDAV/CardDAV (common files)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides common architecture independent files.

Package: syncevolution-libs
Architecture: any
Depends:
 syncevolution-libs-gnome (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 syncevolution-common (= ${source:Version}),
Description: Sync personal information data via SyncML/CalDAV/CardDAV (backend libraries)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides private libraries and plugins.

Package: syncevolution-libs-gnome
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 evolution-data-server,
Description: Sync personal information data via SyncML/CalDAV/CardDAV (GNOME backend)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides private libraries and plugins for GNOME.

Package: syncevolution-dbus
Architecture: any
Depends:
 dbus,
 syncevolution-common (= ${source:Version}),
 syncevolution-libs (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Sync personal information data via SyncML/CalDAV/CardDAV (D-Bus support)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides D-Bus services.

Package: syncevolution-http
Architecture: all
Depends:
 dbus-x11,
 python3,
 python3-dbus,
 python3-gi,
 python3-openssl,
 syncevolution-dbus (>= ${source:Version}),
 ${misc:Depends},
Description: Sync personal information data via SyncML/CalDAV/CardDAV (HTTP server)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides a python script to make SyncEvolution act as a HTTP(S)
 server for other SyncML clients.

Package: libsyncevolution0
Architecture: any
Depends:
 dbus,
 syncevolution-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Sync personal information data via SyncML/CalDAV/CardDAV (shared library)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides a shared library.

Package: libsyncevo-dbus0
Architecture: any
Depends:
 dbus,
 syncevolution-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Sync personal information data via SyncML/CalDAV/CardDAV (shared D-Bus library)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides a shared library.

Package: libgdbussyncevo0
Architecture: any
Depends:
 dbus,
 syncevolution-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Sync personal information data via SyncML/CalDAV/CardDAV (shared gdbus library)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides a shared library.

Package: syncevolution-provider-uoa
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Sync personal information data using SyncML and CalDAV/CardDAV (UOA provider)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides a provider for Ubuntu Online Accounts, allowing
 syncevolution to access account information stored there.
